Page MenuHomeFreeBSD

math/rapid: Fix build on FreeBSD 12, clean up license info, remove dead mirror
ClosedPublic

Authored by jwb on May 16 2018, 10:06 PM.

Details

Summary

math/rapid: Fix build on FreeBSD 12, clean up license info, remove dead mirror
Approved by jrm (mentor) or wen (mentor)
Differential to be added to commit message
Author had previously given the OK to mirror distfiles, so the old license
warning was incorrect.

Test Plan

portlint -AC: looks fine
Passed poudriere on {10.4,11.1}-{amd64,i386}

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jwb created this revision.May 16 2018, 10:06 PM
jrm added a comment.May 16 2018, 10:24 PM

I have this sentence in my notes, "If the license text of a port implies that the software isn't universally usable, than a package is not acceptable and RESTRICTED= should be set." I am ignorant when it comes to license issues, so let me get some advice and get back to you.

jwb added a comment.May 17 2018, 2:02 AM

The author told me personally many years ago that it was OK to reditribute, at least in source form. I sent a message to the mailto link on their site asking for clarification. The software hasn't been touched since I ported it maybe 14 years ago. The author finished his PhD and moved on...

jrm accepted this revision.May 17 2018, 8:52 AM
This revision is now accepted and ready to land.May 17 2018, 8:52 AM
jwb added a comment.May 17 2018, 2:35 PM

I'm going to wait for a response from UNC just to be safe. If I don't hear back from them, I'll restore the RESTRICTED entry.

jrm added a comment.May 17 2018, 2:39 PM

Ok, thanks. That's a more comfortable decision (for me).

jwb updated this revision to Diff 42680.May 17 2018, 11:14 PM

Kinda doubt I'm going to hear from them given how long the project has been
idle. Also silenced a compiler warning I got tired of looking at.

This revision now requires review to proceed.May 17 2018, 11:14 PM
jrm accepted this revision.May 17 2018, 11:16 PM
This revision is now accepted and ready to land.May 17 2018, 11:16 PM
mat added inline comments.May 18 2018, 1:28 PM
math/rapid/Makefile
18 ↗(On Diff #42680)

Remove RESTRICTED, it is redundant with no-dist-sell and no-pkg-sell. (Make sure you do not also need no-dist-mirror and no-pkg-mirror.)

jwb updated this revision to Diff 42697.May 18 2018, 2:09 PM

Thanks, Mat. There doesn't seem to be much info in the handbook about RESTRICTED. Maybe this should be enhanced.

The developer told me personally it was OK to mirror the dist file many years ago. I'm unclear about mirroring the package, so I'll play it safe.

This revision now requires review to proceed.May 18 2018, 2:09 PM
jrm accepted this revision.May 18 2018, 11:21 PM
This revision is now accepted and ready to land.May 18 2018, 11:21 PM
This revision was automatically updated to reflect the committed changes.
mat added a comment.May 21 2018, 3:11 PM

Well, all the variables like RESTRICTED are the "old" way of doing things, the license framework usually covers all the possible cases.

From https://www.freebsd.org/doc/en/books/porters-handbook/licenses.html:

no-dist-mirror
Redistribution of the distribution files is prohibited. This is equivalent to setting RESTRICTED. The distribution files will not be added to the FreeBSD MASTER_SITE_BACKUP CDN.

I agree that this this could be worded better.

jwb added a comment.May 21 2018, 9:02 PM

I think the license perms section is clear enough. Maybe we should add notes where RESTRICTED, NO_CDROM, etc. are introduced stating that they've been superseded, with a link to the license section.